QGIS Application - Bug report #16567
Shear values iin transform effect are not being saved
2017-05-17 03:15 PM - Alexandre Neto

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Linux ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24469
Description

The shear values in the transform effect on features are not being save with the project, and are not copied when the user duplicate the
layer or copy/paste the style.

To reproduce, in a Point layer do:

- style the layer with a SVG Marker with a large size (to be visible);
- Add draw effects at symbol layer level;
- Apply a Transform effect that includes Shear values (see screenshoot)

Things to try:

- Duplicate the layer, the style will be changed not taking the shear values

- Try copy past the style, it wont work either

- Save the project, and open it again. The effect of the original layer will also not include the shrear values.

this is affecting 2.18 and master

Associated revisions

Revision 1ae31631 - 2017-05-17 11:40 PM - Nyall Dawson

Fix transform shear value not saved (fix #16567)

Revision e6f64068 - 2017-05-18 12:12 AM - Nyall Dawson

Merge pull request #4581 from nyalldawson/fix_16567

Fix transform shear value not saved (fix #16567)

Revision 09975cec - 2017-05-18 12:56 AM - Nyall Dawson

Fix transform shear value not saved (fix #16567)

History

#1 - 2017-05-18 12:12 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed
Applied in changeset commit:qgis|1ae3163163e9ad9b02303efc008ac47de184eab9.
